
<nav class="navbar navbar-expand-lg navbar-dark bg-primary">
    <div class="container">
        <h2  style="font-size:30px ; color:hsl(45, 14%, 5%);">ProductApp</h2>
        

        <div class="d-flex">
            <button class="btn btn-light ms-3 fs-5" routerLink="/dashboard/{{userEmail}}">Continue Shopping</button>
            <a href="" routerLink="/cartDashboard/{{userEmail}}" class="btn btn-light ms-3"><img id="cart-png" src="https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcQ8uvpKPFU4iGid8a1h2sVttOWnAFusq_zLRw&usqp=CAU" alt=""></a>
            <button class="btn btn-light ms-3 fs-5" routerLink="/logout">Logout</button> 
        </div>
    </div>
</nav>
<div id="divbody" style="background-color: #fdccbc;">
<section  style="background-color: #fdccbc;">
    <div class="container h-100">
      <div class="row d-flex justify-content-center align-items-center h-100">
        <div class="col">
          <p><span class="h2 p-10" >Shopping Cart</span></p>
         
            

          
            <div class="card mb-4 " *ngFor="let order of orders">
                <div class="card-body mt-50 p-4 "  >
                    <div class="row align-items-center">
                        <div class="col-md-2">
                            <img src={{order.productImg}}
                            class="img-fluid" alt="Generic placeholder image">
                        </div>
                        <div class="col-md-2 d-flex justify-content-center">
                            <div>
                            <p class="small text-muted mb-4 pb-2">Name</p>
                            <p class="lead fw-normal mb-0">{{order.productName}}</p>
                            </div>
                        </div>
                        <div class="col-md-2 d-flex justify-content-center">
                            <div>
                                <p class="small text-muted mb-4 pb-2">Description</p>
                                <p class="lead fw-normal mb-0">{{order.productDescription}}</p>
                            </div>
                        </div>

                        <div class="col-md-2 d-flex justify-content-center">
                            <div>
                            <p class="small text-muted mb-4 pb-2">Price</p>
                            <p class="lead fw-normal mb-0">${{order.productPrice}}</p>
                            </div>
                        </div>
                        <div class="col-md-2 d-flex justify-content-center">
                            <div>
                                <button type="button" routerLink="/deleteCart/{{userEmail}}/{{order.productId}}" class="btn btn-primary btn-lg me-2">Delete</button>
                            </div>
                        </div>
                        <div class="col-md-2 d-flex justify-content-center">
                            <div>
                                <button type="button" (click)="Order()" class="btn btn-primary btn-lg me-2">Place Order</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
      </div>
    </div>
  </section>
</div>